O sistema não deve agrupar as quantidades de medicamentos dispensados
Status: Closed Start date: 10/25/2012

Priority: High Due date:  

Assignee: Maurício Dos Santos % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Versão atual Spent time: 0.00 hour

Componente:    

Description

Veja no movimento de medicamentos, data 05/10/2012, dispensação de 1040 comprimidos de Etambutol 400mg. Nos registros de

dispensação não existe um registro de dispensação de Etambutol nessa quantidade para 1 paciente.

É como vc disse, o sistema agrupa. Mas please, preciso que ele não agrupe e preciso também que no relatório de movimentos de

medicamentos apareça para qual paciente foi realizada aquela dispensação.

Vc pode fazer um relatório geral (como já é) mas tbm preciso de um específico com o nome do paciente para o qual foi realizada

aquela dispensação.

Redmine?

Bjs

Cris.

Em 16 de outubro de 2012 12:08, Mauricio Santos <msantos.msh@gmail.com> escreveu:

Sim Cris, o sistema agrupa..

De qual dia você esta falando para eu poder conferir?

De: Cristiane Angeli David [mailto:cristianedavid.msh@gmail.com]

Enviada em: terça-feira, 16 de outubro de 2012 09:43

Para: Mauricio Santos; Memoria,Ricardo

Assunto: Relatório de movimentos de medicamentos

Maurício, tira uma dúvida:

No relatório de movimentos de medicamentos, o sistema agrupa todas as dispensações realizadas no mesmo dia? Poruq estive

olhando os registros de dispensação do Hospital Octávio Mangabeira ontem e no relatório aparecem dispensações de 900

comprimidos de uma só vez e quando eu vou olhar nos registros de dispensação daquele dia não encontro a saída de 900

comprimidos..

Me explica como o sistema faz?

Beijos

--

Cristiane Angeli David

History

#1 - 10/26/2012 04:47 PM - Maurício Dos Santos

- Assignee set to Maurício Dos Santos

- Target version set to Versão atual

#2 - 11/26/2012 02:05 PM - Maurício Dos Santos

Inserir um link abaixo da quantidade dos movimentos relacionados a dispensações (detalhes) que abre um modal panel com os seguintes detalhes:

informações no medicinedispensingcase
Data:

Medicine:

Source:

______________

Paciente(com numero no padrao) | Quantidade | Lote

Renderizar somente ao clicar.

se for necessário criar uma classe para trazer as informações do banco.

#3 - 12/01/2012 05:49 AM - Maurício Dos Santos

- Tracker changed from Melhoria to Feature

- Status changed from New to In Progress

#4 - 12/03/2012 04:45 AM - Maurício Dos Santos

- Status changed from In Progress to Feedback

- Assignee changed from Maurício Dos Santos to Ricardo Memoria

Foi feito, mas com um porém...

Ao testar vi que alguns movimentos vem com uma quantidade inferior a quantidade de todas as dispesações somada.

Li e reli a query usada para retornar as dispensações e nao consegui encontrar nenhum problema.

Ricardo, poderia dar uma olhada? O código já esta no snv...

#5 - 12/05/2012 02:56 PM - Maurício Dos Santos

- Status changed from Feedback to In Progress

- Assignee changed from Ricardo Memoria to Maurício Dos Santos

#6 - 12/06/2012 10:57 AM - Maurício Dos Santos

- Status changed from In Progress to Resolved

#7 - 12/06/2012 10:07 PM - Maurício Dos Santos

- Status changed from Resolved to Closed
